org.apache.xmlbeans.impl.values

## Class JavaBase64HolderEx

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.JavaBase64Holder
    - - org.apache.xmlbeans.impl.values.JavaBase64HolderEx

All Implemented Interfaces:
  Serializable, TypeStoreUser, SimpleValue, XmlObject, XmlTokenSource

Direct Known Subclasses:
  XmlBase64BinaryRestriction

    public abstract class JavaBase64HolderEx
    extends JavaBase64Holder

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.values.JavaBase64Holder

`_hashcached, _value, hashcode, md5`

### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

### Constructor Summary

Constructors
Constructor and Description
`JavaBase64HolderEx(SchemaType type, boolean complex)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected int` `get_wscanon_rule()` Returns the whitespace rule that will be applied before building a string to pass to get_text().
`SchemaType` `schemaType()`
`protected void` `set_ByteArray(byte[] v)`
`protected void` `set_text(String s)` This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.
`protected void` `validate_simpleval(String lexical, ValidationContext ctx)`
`static void` `validateValue(byte[] v, SchemaType sType, ValidationContext context)`

### Methods inherited from class org.apache.xmlbeans.impl.values.JavaBase64Holder

`compute_text, equal_to, getByteArrayValue, lex, set_nil, validateLexical, value_hash_code`

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_text, get_default_attribute_value, get_default_element_text, get_element_ending_delimiters, get_element_type, get_elementflags, get_schema_type, get_store, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_child_element_order_sensitive, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, new_visitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_String, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, update_from_complex_content, uses_invalidate_value, validate_now, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JavaBase64HolderEx

    public JavaBase64HolderEx(SchemaType type,
                              boolean complex)

### Method Detail

#### schemaType

    public SchemaType schemaType()

Specified by:
  `schemaType` in interface `XmlObject`
Overrides:
  `schemaType` in class `JavaBase64Holder`
Returns:
  The schema type for this instance. This is a permanent, unchanging property of the instance.

#### get_wscanon_rule

    protected int get_wscanon_rule()

Description copied from class: `XmlObjectBase`
Returns the whitespace rule that will be applied before building a string to pass to get_text().

Overridden by subclasses that don't need their text for set_text canonicalized; perhaps they already implement scanners that can deal with whitespace, and they know they have no regex pattern restrictions.

Overrides:
  `get_wscanon_rule` in class `XmlObjectBase`

#### set_text

    protected void set_text(String s)

Description copied from class: `XmlObjectBase`
This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.

Overrides:
  `set_text` in class `JavaBase64Holder`

#### set_ByteArray

    protected void set_ByteArray(byte[] v)

Overrides:
  `set_ByteArray` in class `JavaBase64Holder`

#### validateValue

    public static void validateValue(byte[] v,
                                     SchemaType sType,
                                     ValidationContext context)

#### validate_simpleval

    protected void validate_simpleval(String lexical,
                                      ValidationContext ctx)

Overrides:
  `validate_simpleval` in class `XmlObjectBase`